Add shortcut for application menu
AcceptedPublic

Authored by broulik on Apr 22 2018, 12:52 PM.

Details

Reviewers
davidedmundson
Group Reviewers
Plasma
KWin
VDG
Summary

Allows to open the window application menu by pressing Alt++F3 for when the client does not add any mnemonics (like Alt+F for the "File" menu).

FEATURE: 378771
FIXED-IN: 5.16.0

Test Plan

Pressed Alt+Shift+F3 on a client with global menu, got the menu show up in the top left corner of the window like the application menu would

Diff Detail

Repository
R108 KWin
Lint
Lint Skipped
Unit
Unit Tests Skipped
broulik created this revision.Apr 22 2018, 12:52 PM
Restricted Application added a project: KWin. · View Herald TranscriptApr 22 2018, 12:52 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
broulik requested review of this revision.Apr 22 2018, 12:52 PM

Is it semantically correct to have this in KWin? Shouldn't that not be in the kded module so that it works in all variants of appmenu visualization?

mart added a subscriber: mart.May 2 2018, 12:17 PM

Is it semantically correct to have this in KWin? Shouldn't that not be in the kded module so that it works in all variants of appmenu visualization?

an argument for having it in the visualization is that in this case we have a qmenu with all the menubar entries, where in the other visualizations, also the global menu panel there would be a proper menubar, and not the menubar entries

davidedmundson accepted this revision.May 9 2019, 12:24 AM
davidedmundson added a subscriber: davidedmundson.

Shouldn't that not be in the kded module so that it works in all variants of appmenu visualization?

I don't think so. From a technical POV, applets don't work in the same way with regards to showing the menu.

From a user POV, you wouldn't know where to find it in global shortcuts if it was under a different component name and plasmoids have their own shortcut action built into the plasmoid config. At best we'd duplicate that in a confusing way.

This revision is now accepted and ready to land.May 9 2019, 12:24 AM
ngraham edited the summary of this revision. (Show Details)May 9 2019, 2:50 AM
ndavis added a subscriber: ndavis.May 10 2019, 5:11 PM

+1 for this feature.

I use the titlebar application menu and I noticed that with Alt++F3, the menu shows up at the very top left of the window. When I do Alt+F, the menu shows up under the titlebar application menu button. Could you make it so the menu is positioned the same way as when the user does Alt+F?